Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155473 - ext3 data corruption under Samba share
Summary: ext3 data corruption under Samba share
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156321
TreeView+ depends on / blocked
 
Reported: 2005-04-20 18:35 UTC by Wendy Cheng
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 14:59:14 UTC


Attachments (Terms of Use)
patch 2-1 (deleted)
2005-04-20 18:41 UTC, Wendy Cheng
no flags Details | Diff
patch 2-2 (deleted)
2005-04-20 18:43 UTC, Wendy Cheng
no flags Details | Diff
aclbreak.tar.gz (deleted)
2005-07-06 10:20 UTC, Bastien Nocera
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Wendy Cheng 2005-04-20 18:35:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20040924

Description of problem:
Based on the fsck log we collected from a customer site that reported data corruptions with a 1.8TB filesystem on RHEL 3 system, it was tentatively concluded that the issues found in bugzilla 138951 (opened against RHEL 4) was the cause. 

The filesystem is mounted as smb share that gets accessed via Window machines.

The symptoms include "ls" error messages such as:
                                                                                                                     
[root@nycpr350fil graphics]# ls -al
ls: athletic.zip: Input/output error
ls: â¢DSC_0010.psd: Input/output error
ls: â¢DSC_0014.psd: Input/output error
ls: WeatherPlusLOGOfeb9.eps: Input/output erro
                                                                                                                     
From /var/log/messages file:
                                                                                                                     
EXT3-fs error (device power2(232,49)): ext3_free_blocks: bit already cleared for block 33103513
                                                                                                                     
that shows bitmap corruption. The blocks that are in use may be marked as available for reuse and subsequently get allocated as "free" blocks.


Version-Release number of selected component (if applicable):
kernel-2.4.21-31.ELsmp

How reproducible:
Didn't try

Steps to Reproduce:
1. (occurs twice on mission cirtical production system)
2.
3.
  

Actual Results:  filesystem corrupted

Expected Results:  no corrutions

Additional info:

This has been occurred twice on a mission critical system with large LUN (1.8TB). Other than downtime is not acceptable, the fsck time for the LUN with this size is also unmanageable.

Comment 1 Wendy Cheng 2005-04-20 18:41:16 UTC
Created attachment 113428 [details]
patch 2-1

Comment 2 Wendy Cheng 2005-04-20 18:43:19 UTC
Created attachment 113429 [details]
patch 2-2

Stephen Tweedie backported these two patches into RHEL 3. A RHEL 3 .31EL
beehive based test kernel with these two patches had been sent to customer
site.

Comment 19 Bastien Nocera 2005-07-06 10:17:49 UTC
*** Bug 161056 has been marked as a duplicate of this bug. ***

Comment 20 Bastien Nocera 2005-07-06 10:20:03 UTC
Created attachment 116401 [details]
aclbreak.tar.gz

Test case from bug #161056.

Comment 21 Ernie Petrides 2005-07-16 00:22:04 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.12.EL).


Comment 24 Red Hat Bugzilla 2005-09-28 14:59:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.